/* NSAuthor.h
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 *
 * Example of an enterprise object which implements the new archiving protocol.
 * NSAuthor is the enterprise object class defined in the authors entity of
 * the Sybase pubs database (see pubs.eomodel in the same project directory).
 *
 */



#import <eointerface/eointerface.h>
#import <eoaccess/eoaccess.h>
#import <foundation/NSArchiver.h>

@interface NSAuthor:NSObject
{
    NSString *authorID;		// These descend from NSObject
    NSString *firstname;
    NSString *lastname;
    NSString *address;
    NSString *city;
    NSString *state;
    NSString *zip;
    NSString *phone;
    int contract;		// Scalar type
     
}

- (NSString *)description;
- (void)encodeWithCoder:(NSCoder *)aCoder;
- initWithCoder:(NSCoder *)aDecoder;

@end
