#import <appkit/appkit.h>
#import <eointerface/eointerface.h>
#import <eoaccess/eoaccess.h>


@interface MainController:Object
{
	id masterController;
	 	
	id formMatrix;
	id textField;
	id sortMatrix;
	
	id	rootEntity;
	
	id insertButton;
	id masterTableview;
	id optionsPanel;
	id sqlPanel;
	id text;
	
	EOAdaptorChannel	*adaptorChannel;
	EOAdaptor			*eoAdaptor;
	EODatabaseChannel	*dbChannel;
	EODatabaseDataSource *dbDataSource;
	
}

- init;
- appDidInit:sender;
- setDelegates;
- setUpFetch:sender;
- fetch:sender;
- insert:sender;
- newRecord:sender;
- (BOOL) validateRecord;
@end


@interface Text(showSQL)
- appendToText:(const char *)newText;
@end