/*--------------------------------------------------------------------------
 *
 * 	You may freely copy, distribute, and reuse the code in this example.
 * 	SHL Systemhouse disclaims any warranty of any kind, expressed or  
 *	implied, as to its fitness for any particular use.
 *
 *	AppController
 *
 *	Inherits From:		NSObject
 *
 *	Conforms To:		None
 *
 *	Declared In:		AppController.h
 *
 *	Class Description
 *
 *		Application controller for EO key value coding example.
 *
 *
 *------------------------------------------------------------------------*/
#import <appkit/appkit.h>
#import <eointerface/eointerface.h>
#import <eoaccess/eoaccess.h>
#import <foundation/NSObject.h> 
#import <foundation/NSArray.h>

@class Catalog;



@interface AppController:NSObject
{
    id		controller;
	id		ivarArray;
    id		window;
	id		textDisplay;
	id		traceSetting;
	id		traceDelay;
	id		console;

	id		objectName;
	id		objectPrice;
	id		objectTitle;

	BOOL	startup;

	
}

- display:(NSArray *)argArray;
- console:(NSArray *)argArray;
- updateObjectView: (Catalog *)newObject;


@end
