// KeyValueValidation
// An informal protocol for validating changes to EOs before setting the
// changes takeValuesFromDictionary
#import <eoaccess/eoaccess.h>

@interface NSObject (KeyValueValidation)
- (NSDictionary *)validateValuesInDictionary:(NSDictionary *)values;
    // should return a set of key / error message pairs or nil if
    // all the values are acceptable.
    // The default implementation looks for methods with the signature
    // (NSString *)validate<KeyName>:value, which should return nil on
    // success or user presentable error message on error.
@end
