//  OracleLoginPanel.h
//  Copyright 1994, NeXT Computer, Inc.

#ifndef NeXT_PDO

#import <eoaccess/eoaccess.h>
#import <appkit/appkit.h>

@interface OracleLoginPanel:Panel
{
    TextField *serverIdField;
    TextField *hostMachineField;
    TextField *userNameField;
    TextField *passwordField;
    TextField *versionField;
    NSMutableDictionary *extraInfo;
}

- cancel:sender;
- login:sender;
    // These are the targets of the Login and Cancel buttons on the panel.
    
- (void)setConnectionDictionary:(NSDictionary *)connectionInfo;
- (NSDictionary *)connectionDictionary;
    // These set and return the values of the text fields on the login panel.
    
@end

#endif
