/*
**      NXTextFormatter.h
**      Database Kit, Release 3.0
**      Copyright (c) 1992, NeXT Computer, Inc.  All rights reserved. 
*/

#import "NXFormatter.h"
#import "NXTableProtocols.h"
#import <appkit/appkit.h>

// NXTextFormatter is functionally identical to the Database Kit's
// DBTextFormatter but has a different implementation.  Thus old
// subclasses of DBTextFormatter may require reworking to subclass 
// NXTextFormatter.

@interface NXTextFormatter : NXFormatter
{
@private
	unsigned int	_tfReserved[2];
	BOOL		_reserved;
	id		_unused;
@protected
	id		drawCell;
}

- init;
- free;

- font;
- setFont:aFont;

- write:(NXTypedStream *) stream;
- read:(NXTypedStream *) stream;

@end
