
#import <appkit/appkit.h>
#import <foundation/NSArray.h>

#import "Author.h"

@interface Owner:Object
{
	id	controller;
    id	dataSource;
	id	textObject;
	NSArray	*eoArray;
	Author 	*eoAuthor;
}

- appDidInit:sender;
- readObject:sender;
- writeObject:sender;
- (NSString *)applicationPath;

// These two methods invoke the appropriate methods to archive and
// unarchive a graph of objects when the root object is a descendent
// of Object

- (BOOL) archiveThisObject:(Object *)object;
- (Object *)unarchiveObject;
@end

/* Add a category to the text object to show results */
@interface Text (printResults)
- appendText:(const char *)newText;
@end