/*
   DEONotification.h created by enoyau on Fri 13-Jan-1995

   You may freely copy, distribute, and reuse the code in this example.
   NeXT disclaims any warranty of any kind, expressed or implied, as to its
   fitness for any particular use.
*/
// DEONotification is a subclass of NSNotification which contains some
// additional information like userInfo and isLocal. 

#import <foundation/NSNotification.h>

@interface DEONotification : NSNotification
{
    NSString *name;
    id object;
    NSDictionary *userInfo;
    BOOL isLocal;
}
+ (DEONotification *)notificationWithName:(NSString *)name
                                   object:object
                                 userInfo:(NSDictionary *)userInfo
                                  isLocal:(BOOL)yn;
- (BOOL)isLocal;
- (NSDictionary *)userInfo;
@end
