/*
   DEOServerMonitor.h created by enoyau on Fri 13-Jan-1995

   You may freely copy, distribute, and reuse the code in this example.
   NeXT disclaims any warranty of any kind, expressed or implied, as to its
   fitness for any particular use.
*/
// DEOServerMonitor is responsible for watching the communication between the
// server and all DEONotificationCenters in the client. In our example, there
// is only one DEONotificationCenter. If the connection between client and
// server becomes invalid, it broadcasts a NSNotification to inform the death
// of the server.

#import "DEOProtocols.h"
#import <machkit/senderIsInvalid.h>
#import <foundation/NSString.h>

extern NSString *DEOServerReinitialize;

@interface DEOServerMonitor : NSObject <NXSenderIsInvalid>
{
    id <DEOServer> server;
}

+ (DEOServerMonitor *)serverMonitor;
- (id <DEOServer>)server;
@end
