/*
   FoundationExtensionsPrivate.h modified by enoyau on Fri 13-Jan-1995

   You may freely copy, distribute, and reuse the code in this example.
   NeXT disclaims any warranty of any kind, expressed or implied, as to its
   fitness for any particular use.
*/
/*
 *  Private classes for the compatibility routines between the old DO
 *  mechanisms and the new Foundation objects.
 *
 *  No guarantee is made for the fitness of this code for any particular
 *  use.  No warranty expressed or implied.  Use at your own risk!
 *
 *  Randy Tidd
 *  NeXT Premium Developer Support
 */
#import <foundation/NSArray.h>
#import <foundation/NSDictionary.h>
#import <objc/Object.h>

@interface _NSArrayPlaceHolder : Object
{
    NSArray *array;
}
- initWithArray:(NSArray *)array;
@end

@interface _NSDictionaryPlaceHolder : Object
{
    NSDictionary *dictionary;
}
- initWithDictionary:(NSDictionary *)dictionary;
@end
