
#import "TableDataSource.h"

@interface TableDataSource (Private)

- initWithTable:(NSString *)tablePath primaryKey:(NSString *)primaryKey qualifierKeys:(NSArray *)qualifiers; 
- createSnapshot;
- createLookupTables:(NSArray *)qualifiers;
- createLookupTableForQualifierKey:(NSString *)key;
- (BOOL)isValidNewPrimaryKey:(NSNumber *)number;
- (NSMutableArray *)eosArrayToGenericRecordsArray:(NSArray *)eoArray;
- modifyLookupTables;
- (NSNumber *)findNextPrimaryKey;
- (BOOL)forceSaveObjects;
int eoSort(id eo1, id eo2, void *context);

@end

