/* ModelSavyController.h created by cfeder on Tue 01-Nov-1994 */
#import <eointerface/eointerface.h>

// EOController delegate superclass that does foreign key assignment to
// the master or detail object when insertions or deletions are made in
// a detail controller.

@interface SavvyControllerDelegate : Object
{
}
// EOController delegate methods
- (BOOL)controller:(EOController *)controller willInsertObject:object atIndex: (unsigned)newIndex;

- (EODataSourceOperationDelegateResponse)controller:(EOController *)controller
    willInsertObject:object
    inDataSource:dataSource;

- (EODataSourceOperationDelegateResponse)controller:(EOController *)controller
    willDeleteObject:object
    inDataSource:dataSource;
@end

@interface SavvyControllerDelegate (ResetRelationshipsForChangedKeyProps)
- (NSDictionary *)controller:(EOController *)controller willSaveEdits: (NSDictionary *)edits toObject:object;
- (void)controller:(EOController *)controller didSaveToObject:object;
@end
