/* DictionaryDataSource.h:
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 *
 * Written by EO Development Team
 * Modified 07/20/94 Mai Nguyen
 *
 * Example of a non-database data source implementation
 */


#import <eoaccess/EODataSources.h>
#import <foundation/NSDictionary.h>

@interface DictionaryDataSource : NSObject <EODataSources>
{
    NSMutableArray *array;
    NSArray *keys;
}

- initWithKeys: (NSArray *)keys;

@end
