
#import <appkit/appkit.h>
#import <foundation/NSString.h>
#import <foundation/NSArray.h>
#import <foundation/NSDictionary.h>
#import <foundation/NSObject.h>
#import <eoaccess/eoaccess.h>

#import "SybaseDelegate.h"

@interface Evaluator:Object
{
    id queryView;
    id resultsView;
		
	SybaseDelegate  *sybaseDelegate;
	
	NSDictionary *columnNamesDict;
	NSMutableArray *recordsArray;
	NSArray *attributes;
    EOModel *model;
	EOAdaptor  *adaptor;
    EOAdaptorContext *context;
    EOAdaptorChannel *channel;
}

- initWithModelFile:(NSString *)filePath;

- evaluate:sender; 
- readDataFromDict:(NSDictionary *) rowsDict;
- clear:sender;
- buildColumnNamesDictionary:(NSArray *)attributesArray;
- (void) announce:sender selector:(SEL)selector;
- (void) announce:sender selector:(SEL)selector with:array;
- (void) logString:(NSString *) aString;
@end
