//  EOQuotedExpression.h
//  Copyright (c) 1994, NeXT Computer, Inc. All rights reserved.

// This class is used to quote another object's expressionValue.  It's used
// internally by the Framework; you should never need to create or use one
// yourself.

#import	"EOExpressionArray.h"

#import <foundation/NSArray.h>
#import <foundation/NSData.h>
#import <foundation/NSDictionary.h>
#import <foundation/NSObject.h>
#import <foundation/NSString.h>

@interface EOQuotedExpression:NSObject <NSCopying>
{
    id _expression;
    NSString *_quote;
    NSString *_escape;
}

- initWithExpression:expression quote:(NSString *)quote 
    escape:(NSString *)escape;

@end

