// OracleSQLExpression.h
// Copyright (c) 1994, NeXT Computer, Inc.  All rights reserved.

#import <eoaccess/eoaccess.h>

// This class is used internally by the Oracle adaptor to generate Oracle
// specific SQL.

@interface OracleSQLExpression:EOSQLExpression
{
}

+ selectExpressionForAttributes:(NSArray *)attributes lock:(BOOL)yn
    qualifier:(EOQualifier *)qualifier fetchOrder:(NSArray *)fetchOrder
    channel:(EOAdaptorChannel *)channel;

- joinExpressionForOperator:(EOJoinOperator)operator
    semantic:(EOJoinSemantic)semantic source:source destination:destination;

@end

