//  SybaseLoginPanel.h
//  Copyright 1994, NeXT Computer, Inc.

#ifndef NeXT_PDO

#import <appkit/appkit.h>
#import <foundation/NSDictionary.h>

@interface SybaseLoginPanel:Panel
{
    TextField *userNameField;
    TextField *hostNameField;
    TextField *databaseNameField;
    TextField *passwordField;
    TextField *versionField;
    NSMutableDictionary *extraInfo;
}

- cancel:sender;
- login:sender;

- (void)setConnectionDictionary:(NSDictionary *)connectionInfo;
- (NSDictionary *)connectionDictionary;
    // These set and return the values of the text fields on the login panel.

@end

#endif
